Bug 286771 - xorg hang with 100% CPU usage
xorg hang with 100% CPU usage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 15:36 EDT by Simon Gao
Modified: 2008-02-15 17:31 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 17:31:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Gao 2007-09-11 15:36:15 EDT
Description of problem:

The system would hang caused by xorg using 100% CPU and with not keyboard, mouse
response. Init 3 does not work. Only way to get out hang is to reboot machine.
Sometimes, "shutdown -r now" does not work either. So far we have found two
machines has the same problem. This mainly happens when users are using
OpenOffice to select menu items with spreadsheet documents opened.

Version-Release number of selected component (if applicable):


Linux host1 2.6.18-8.1.8.el5xen #1 SMP Tue Jul 10 07:06:45 EDT 2
007 x86_64 x86_64 x86_64 GNU/Linux

xorg-x11-filesystem-7.1-2.fc6
xorg-x11-twm-1.0.1-3.1
xorg-x11-fonts-Type1-7.1-2.1.el5
xorg-x11-drv-evdev-1.0.0.5-2.el5
xorg-x11-drv-cirrus-1.1.0-2.fc6
xorg-x11-drv-ast-0.81.0-3
xorg-x11-drv-ati-6.6.3-3.2.el5
xorg-x11-drv-vmmouse-12.4.0-2.1
xorg-x11-drv-nv-1.2.0-4.fc6
xorg-x11-drivers-7.1-4.1.el5
xorg-x11-server-Xnest-1.1.1-48.13.0.1.el5
xorg-x11-xfs-1.0.2-4
xorg-x11-util-macros-1.0.2-4.fc6
xorg-x11-font-utils-7.1-2
xorg-x11-fonts-misc-7.1-2.1.el5
xorg-x11-drv-void-1.1.0-3.1
xorg-x11-drv-tek4957-1.1.0-1.1
xorg-x11-drv-digitaledge-1.1.0-1.1
xorg-x11-drv-i810-1.6.5-9.2.el5
xorg-x11-drv-voodoo-1.1.0-3.1
xorg-x11-drv-fpit-1.1.0-1.1
xorg-x11-xkb-utils-1.0.2-2.1
xorg-x11-server-utils-7.1-4.fc6
xorg-x11-proto-devel-7.1-9.el5.centos
xorg-x11-drv-keyboard-1.1.0-2.1
xorg-x11-fonts-ISO8859-1-100dpi-7.1-2.1.el5
xorg-x11-fonts-75dpi-7.1-2.1.el5
xorg-x11-drv-dynapro-1.1.0-2
xorg-x11-drv-ur98-1.1.0-1.1
xorg-x11-drv-joystick-1.1.0-1.1
xorg-x11-drv-penmount-1.1.0-2.1
xorg-x11-drv-summa-1.1.0-1.1
xorg-x11-drv-s3virge-1.9.1-2.1
xorg-x11-drv-savage-2.1.1-5.fc6
xorg-x11-drv-sisusb-0.8.1-4.1
xorg-x11-drv-spaceorb-1.1.0-1.1
xorg-x11-drv-aiptek-1.0.1-2
xorg-x11-drv-siliconmotion-1.4.1-2.1
xorg-x11-deprecated-libs-6.8.2-1.EL.13.37
xorg-x11-server-sdk-1.1.1-48.13.0.1.el5
xorg-x11-xinit-1.0.2-13.el5
xorg-x11-fonts-base-7.1-2.1.el5
xorg-x11-fonts-ISO8859-1-75dpi-7.1-2.1.el5
xorg-x11-fonts-100dpi-7.1-2.1.el5
xorg-x11-drv-mouse-1.1.1-1.1
xorg-x11-drv-citron-2.2.0-1.1
xorg-x11-drv-mga-1.4.2-5.el5
xorg-x11-drv-hyperpen-1.1.0-2
xorg-x11-drv-magellan-1.1.0-1.1
xorg-x11-drv-microtouch-1.1.0-1.1
xorg-x11-drv-s3-0.4.1-2.1
xorg-x11-drv-jamstudio-1.1.0-1.1
xorg-x11-drv-vmware-10.13.0-2.1
xorg-x11-drv-dummy-0.2.0-2.1
xorg-x11-drv-via-0.2.1-9

xorg-x11-drv-fbdev-0.3.0-2
xorg-x11-server-Xorg-1.1.1-48.13.0.1.el5
xorg-x11-server-Xvfb-1.1.1-48.13.0.1.el5
xorg-x11-drv-dmc-1.1.0-2
xorg-x11-drv-elo2300-1.1.0-1.1
xorg-x11-drv-calcomp-1.1.0-1.1
xorg-x11-drv-tdfx-1.2.1-3.1
xorg-x11-drv-magictouch-1.0.0.5-2.1
xorg-x11-drv-acecad-1.1.0-2.1
xorg-x11-xauth-1.0.1-2.1
xorg-x11-utils-7.1-2.fc6
xorg-x11-fonts-truetype-7.1-2.1.el5
xorg-x11-drv-vesa-1.2.1-5.2.el5
xorg-x11-drv-mutouch-1.1.0-2
xorg-x11-drv-trident-1.2.1-3.fc6
xorg-x11-drv-vga-4.1.0-2.1
xorg-x11-drv-sis-0.9.1-7
xorg-x11-drv-palmax-1.1.0-1.1
xorg-x11-drv-elographics-1.1.0-1.1
xorg-x11-apps-7.1-4.0.1.el5
openoffice.org-calc-2.0.4-5.4.17.2
openoffice.org-graphicfilter-2.0.4-5.4.17.2
openoffice.org-xsltfilter-2.0.4-5.4.17.2
openoffice.org-core-2.0.4-5.4.17.2
openoffice.org-math-2.0.4-5.4.17.2
openoffice.org-writer-2.0.4-5.4.17.2
openoffice.org-impress-2.0.4-5.4.17.2
openoffice.org-draw-2.0.4-5.4.17.2


How reproducible:


Steps to Reproduce:
1.Install RHEL 5 with all updates, plus the same version of xorg, openoffice
packages.

2.Open Openoffice and open an spreadsheet document.

3.Move cursor around and select different menu items.
  

Actual results:

The X window will hang and keyboard, mouse no longer responds.

Expected results:

There should be no X Window hang caused by using OpenOffice.

Additional info:

Similar problem has been reported to debian. See this link:
http://www.mail-archive.com/debian-bugs-closed@lists.debian.org/msg137845.html
Comment 1 Matěj Cepl 2007-09-11 19:43:31 EDT
Correct reference to the bug is
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=433131 but the patch is
originally from our own CVS
(http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-server/xserver-1.3.0-xkb-and-loathing.patch?view=markup)
and obviously it has been applied to (at least) F-7, Rawhide, and it will be
most likely available in the RHEL-5 update (at least it is in the latest
internal RHEL-5 package xorg-x11-server-Xorg-1.1.1-48.23.el5, if my reading is
correct).
Comment 3 Simon Gao 2007-09-13 13:20:25 EDT
Does that mean RHEL 5.1?

Simon
Comment 4 Simon Gao 2007-10-16 15:56:43 EDT
How soon can users get the update? This OO-Xorg hang has been driving our users
crazy. 

Any dates?

Simon
Comment 5 Adam Jackson 2007-10-17 11:19:31 EDT
This update will be included in 5.1, which should go to GA within a month or so.
 In the meantime:

http://people.redhat.com/ajackson/286771/

has the X servers from 5.1.
Comment 6 Simon Gao 2007-10-19 15:15:06 EDT
After installing the updates, our application crashes X window and causes X
window to restart. No error being logged. No core dump either.

Simon
Comment 7 Simon Gao 2007-10-19 16:40:57 EDT
Actually, X window crashes on applications depend on OpenGL libraries from
NVIDIA driver.

A good test is glxgears. 

Simon
Comment 8 Matěj Cepl 2007-10-22 12:22:25 EDT
I think that using nVidia OpenGL libraries with nv driver brings a lot of bad
karma. Check http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers and try to
reproduce after following all the steps there. Report the findings, please (with
/var/log/Xorg.0.log attached).
Comment 9 Matěj Cepl 2008-01-15 10:12:13 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 Matěj Cepl 2008-02-15 10:21:22 EST
Simon, ping
Comment 11 Simon Gao 2008-02-15 13:04:11 EST
Our users have not reported the problem two weeks after upgrading to 5.1.

So please go ahead close this ticket.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.